# php-raw-aluraplay

This project was developed during the PHP Web Development training on the Alura platform. It utilized PHP with the following specifications:

- PDO (using SQLite)
- Output buffer
- Flash messages
- Traits
- PHP PRS
- PHP FIG
- PHP DI
- Template engine

## Installation

1. **Clone the Repository:**
   ```
   git clone https://gitlab.com/alura-courses-code/php/php-raw-aluraplay.git
   cd php-raw-aluraplay
   ```

2. **Install Dependencies:**
   ```
   composer install
   ```

3. **Execute the User Creation Script:**
   ```
   php scripts/user-create.php "email@example.com" "user_password"
   ```

4. **Run the PHP Built-in Server:**
   ```
   php -S localhost:8000 -t public
   ```


## Contribution

If you're interested in contributing to this project, feel free to open a merge request. We appreciate all forms of contribution!

## License

This project is licensed under the [MIT License](https://gitlab.com/alura-courses-code/php/php-raw-aluraplay/-/blob/main/LICENSE). Refer to the LICENSE file for more details.
